> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# トレーニング ジョブを取得

> ID でトレーニングジョブを取得します。



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json get /v1/preview/training-jobs/{training_job_id}
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/training-jobs/{training_job_id}:
    get:
      tags:
        - training-jobs
      summary: トレーニング ジョブを取得
      description: ID でトレーニングジョブを取得します。
      operationId: get_training_job_v1_preview_training_jobs__training_job_id__get
      parameters:
        - in: path
          name: training_job_id
          required: true
          schema:
            title: Training Job Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingJobResponse'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBearer: []
components:
  schemas:
    TrainingJobResponse:
      description: TrainingJobレスポンスのスキーマ。
      properties:
        id:
          format: uuid
          title: Id
          type: string
      required:
        - id
      title: TrainingJobResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````